--- a/documentwidget.cpp
+++ b/documentwidget.cpp
@@ -27,7 +27,7 @@
 ****************************************************************************/
 
 #include <QtGui>
-#include <poppler-qt5.h>
+#include <poppler-qt6.h>
 #include "documentwidget.h"
 
 DocumentWidget::DocumentWidget(QWidget *parent)
--- a/documentwidget.h
+++ b/documentwidget.h
@@ -31,7 +31,7 @@
 
 #include <QRectF>
 #include <QLabel>
-#include <poppler-qt5.h>
+#include <poppler-qt6.h>
 #include <qclipboard.h>
 #include <QFileInfo>
 #include <QToolTip>
--- a/vprerex.pro
+++ b/vprerex.pro
@@ -8,7 +8,7 @@ SOURCES       = documentwidget.cpp \
 QT += widgets
 
 # Modify these to refer to the directories on your system
-# that contain the poppler-qt5.h header file and [lib]poppler-qt5 library.
+# that contain the poppler-qt6.h header file and [lib]poppler-qt6 library.
 
-INCLUDEPATH  += /usr/include/poppler/qt5 /usr/include/qt5 /usr/include/qt5/QtWidgets
-LIBS         += -L/usr/lib64  -lpoppler-qt5 
+INCLUDEPATH  += /usr/include/poppler/qt6 /usr/include/${DEB_HOST_MULTIARCH}/qt6/ /usr/include/${DEB_HOST_MULTIARCH}/qt6/QtWidgets
+LIBS         += -L/usr/lib64  -lpoppler-qt6 
